#!/usr/bin/perl

use lib '/Users/bart/scripts/webifyImages';

use strict;
use WebifyImages;

# Script to insert a caption into an image

# get arg
my $caption = shift;
my @images = @ARGV;
unless ($caption && @images){
  print "ERROR: must supply the caption for the image(s) and a list of files to caption.\n\n";
  exit;
}

# print a warning
print <<endl;

WARNING WARNING WARNING

This script will alter the images you specified to insert the caption: $caption

Are you sure you want to continue? (y/n)
endl
unless(<STDIN> =~ m/y/i){
  exit;
}

#do it
print "\n\n";
foreach my $image (@images){
  print "Inserting caption \"$caption\" into $image\n";
  WebifyImages::insertCaption($image, $caption);
}
