#!/usr/bin/perl

use lib '/Users/bart/scripts/webifyImages';

use strict;
use WebifyImages;

# Script to insert a credit into an image

# get arg
my $credit = shift;
my @images = @ARGV;
unless ($credit && @images){
  print "ERROR: must supply the credit for the image and a list of files to credit.\n\n";
  exit;
}

# print a warning
print <<endl;

WARNING WARNING WARNING

This script will alter the images you specified to insert a credit to $credit

Are you sure you want to continue? (y/n)
endl
unless(<STDIN> =~ m/y/i){
  exit;
}

#do it
print "\n\n";
foreach my $image (@images){
  print "Inserting Credit to $credit in $image\n";
  WebifyImages::insertCredit($image, $credit);
}
