#!/usr/bin/perl

use lib '/Users/bart/scripts/webifyImages';

use strict;
use WebifyImages;

# Script to add a fine art frame to one or more images

# get arg
my $title = shift;
my @images = @ARGV;
unless ($title && @images){
  print "ERROR: must supply the title for the image(s) and a list of files to frame.\n\n";
  exit;
}

# print a warning
print <<endl;

WARNING WARNING WARNING

This script will alter the images you specified to insert a fine art frame.

Are you sure you want to continue? (y/n)
endl
unless(<STDIN> =~ m/y/i){
  exit;
}

#do it
print "\n\n";
foreach my $image (@images){
  print "Framing $image\n";
  WebifyImages::fineArtFrame($image, $title);
}
